{% extends "customers/base.html" %}
{% load staticfiles %}

{% block title %}Lista de equipos{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock %}

	

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Equipos de Cliente</li>
</ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Equipos de clientes <small>lista</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Equipos de Cliente</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
            
            <div class="row">
                
                <div class="col-md-12">
                    <form class="form-inline">
                        <div class="row mb-3 m-l-5">
                          <div class="form-group m-r-10">
                            <label for="ips" class="control-label m-r-10">IP's</label>
                            <select id="ips" class="form-control" style="width: 100%;">
                              <option value=""></option>
                            </select>
                          </div>
                        </div>
                        <div class="row mb-3 m-l-5">
                          <div class="form-group m-r-10">
                            <label for="mac" class="control-label m-r-10">MAC's</label>
                            <select id="mac" class="form-control" style="width: 100%;">
                              <option value=""></option>
                            </select>
                          </div>
                        </div>
                        <div class="row mb-3 m-l-5">
                          <div class="form-group m-r-10">
                            <label for="service" class="control-label m-r-10">Servicios</label>
                            <select id="service" class="form-control" style="width: 100%;">
                              <option value=""></option>
                            </select>
                          </div>
                        </div>
                      </form>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <table id="network_equipment_table" class="table table-striped table-bordered table-td-valign-middle">
                        <!--<table id="gear-list" cellspacing="0" width="100%" class="table table-hover dt-responsive nowrap">-->
                        <thead>
                          <tr>
                            <th>Nro. de Servicio</th>
                            <th>Dirección del servicio</th>
                            <th>Status del servicio</th>
                            <th>IP</th>
                            <th>Status de la leases</th>
                            <th>Marca</th>
                            <th>MAC</th>
                            <th>Modelo</th>
                          </tr>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                </div>
            </div>



        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-6 -->
  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->

{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("infra_menu").classList.add("active");
    //active submenu item
    document.getElementById("network_equipment_item").classList.add("active");
    let dt_url = "{% url 'network_equipment_api' %}"
</script>

  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
  <script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
  <script src="{% static 'theme/build/js/pages/network-equipment-list.js' %}"></script>

{% endblock %}